# onyx_ptp_global – Configures PTP Global parameters

New in version 2.8.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This module provides declarative management of PTP Global configuration on Mellanox ONYX network devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
domain - |  | set PTP domain number Range 0-127

ntp_state
-

Choices:
- enabled
- disabled

NTP state.

primary_priority - |  | set PTP primary priority Range 0-225

ptp_state
-

Choices:
- enabled ←
- disabled

PTP state.

secondary_priority - |  | set PTP secondary priority Range 0-225

## Notes

Note

- Tested on ONYX 3.6.8130 ptp and ntp protocols cannot be enabled at the same time

## Examples

    - name: configure PTP
      onyx_ptp_global:
        ntp_state: enabled
        ptp_state: disabled
        domain: 127
        primary_priority: 128
        secondary_priority: 128

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always | The list of configuration mode commands to send to the device. Sample: ['no ntp enable', 'protocol ptp', 'ptp domain 127']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Anas Badaha (@anasb)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.